Subject: Re: [PATCH v2 1/1] ARM: dts: rockchip: Add brcm bluetooth for rk3288-veyron

From: Matthias Kaehlcke <[email-masked]>
Date: Mon, 9 Dec 2019 16:32:01 -0800

On Mon, Dec 09, 2019 at 03:56:14PM -0800, Doug Anderson wrote:
> Hi,
> 
> On Sun, Dec 8, 2019 at 4:03 PM Heiko Stübner <[email-masked]> wrote:
> >
> > Am Montag, 9. Dezember 2019, 00:48:31 CET schrieb Marcel Holtmann:
> > > > This enables the Broadcom uart bluetooth driver on uart0 and gives it
> > > > ownership of its gpios. In order to use this, you must enable the
> > > > following kconfig options:
> > > > - CONFIG_BT_HCIUART_BCM
> > > > - CONFIG_SERIAL_DEV
> > > >
> > > > This is applicable to rk3288-veyron series boards that use the bcm43540
> > > > wifi+bt chips.
> > > >
> > > > As part of this change, also refactor the pinctrl across the various
> > > > boards. All the boards using broadcom bluetooth shouldn't touch the
> > > > bt_dev_wake pin.
> > >
> > > so have these changes being merged?
> >
> > not yet
> >
> > Doug wanted to give a Reviewed-by, once the underlying bluetooth
> > changes got merged - not sure what the status is though.
> 
> I have been out for the last week and am a bit backlogged.
> 
> I notice that this landed in our 4.19 kernel with +Matthias's
> Reviewed-by at <https://crrev.com/c/1772261>.  I don't feel any need
> to re-review this myself if Matthias has taken a final look on it, so
> unless he knows a reason why it shouldn't land then I'd say go ahead
> and land it.

Sorry, should have replied here in the first place. The changes look
good to me.

Reviewed-by: Matthias Kaehlcke <[email-masked]>

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel